Bug 55379 - initscripts doesn't work with nicknames
initscripts doesn't work with nicknames
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cipe (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 11:54 EST by Trond Eivind Glomsrxd
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:24:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrxd 2001-10-30 11:54:16 EST
neat creates network devices with nicknames. The initscripts uses some of
the information to guess other filenames, which breaks device init.

E.g., if you create a device named "mycipe" using "cipcb0", you'll get
these files:

[root@oslo sysconfig]# find -name "*cip*"
./network-scripts/ifdown-cipcb
./network-scripts/ifup-cipcb
./network-scripts/ifcfg-mycipe
./networking/devices/ifcfg-mycipe
./networking/profiles/default/ifcfg-mycipe
[root@oslo sysconfig]# 

Using it results in:

[root@oslo sysconfig]# /sbin/ifup mycipe
Missing config file ifcfg-cipcb0.
[root@oslo sysconfig]#
Comment 1 Bill Nottingham 2006-08-07 15:01:09 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:24:30 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.